Last Comment Bug 709845 - Copy-paste of link from URL bar after opening link from Facebook Android app gives redirect link, not the target
: Copy-paste of link from URL bar after opening link from Facebook Android app ...
Status: VERIFIED FIXED
[MTD]
:
Product: Firefox for Android
Classification: Client Software
Component: General (show other bugs)
: unspecified
: ARM Android
: P2 normal (vote)
: Firefox 12
Assigned To: Chris Peterson [:cpeterson]
:
Mentors:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2011-12-12 10:13 PST by Brion Vibber
Modified: 2013-02-28 04:08 PST (History)
7 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---
fixed
fixed
11+


Attachments
bug-709845-part-1-update-history-url.patch (2.50 KB, patch)
2012-01-12 18:16 PST, Chris Peterson [:cpeterson]
mbrubeck: review+
Details | Diff | Splinter Review
bug-709845-part-2-fix-checkstyle-warnings.patch (5.67 KB, patch)
2012-01-12 18:17 PST, Chris Peterson [:cpeterson]
doug.turner: review+
Details | Diff | Splinter Review
bug-709845-part-1-update-history-url-v1-rebased.patch (2.52 KB, patch)
2012-01-17 11:28 PST, Chris Peterson [:cpeterson]
cpeterson: review+
Details | Diff | Splinter Review
bug-709845-part-1-update-history-url-v1-rebased.patch (2.52 KB, patch)
2012-01-17 11:30 PST, Chris Peterson [:cpeterson]
cpeterson: review+
blassey.bugs: approval‑mozilla‑aurora+
Details | Diff | Splinter Review
bug-709845-part-2-fix-checkstyle-warnings-v1-rebased.patch (5.72 KB, patch)
2012-01-17 11:33 PST, Chris Peterson [:cpeterson]
cpeterson: review+
blassey.bugs: approval‑mozilla‑aurora+
Details | Diff | Splinter Review

Description Brion Vibber 2011-12-12 10:13:49 PST
User Agent: Mozilla/5.0 (Ubuntu; X11; Linux x86_64; rv:8.0) Gecko/20100101 Firefox/8.0
Build ID: 20111115183813

Steps to reproduce:

Followed a few links from Facebook (using Android Facebook app) opening them directly in Firefox nightly (20111212).

After loading, tap into the URL bar, tap-and hold for 'select all', then 'copy'.



Actual results:

A long ugly http://m.facebook.com/blah blah redirect URL is shown and copied.


Expected results:

The destination URL should have been copied.

Note that I can't reproduce this simply opening an HTTP redirect page such as http://leuksman.com/misc/redirect1.php within Fennec itself. It may be specific to opening from another app, or from the way the facebook redirectors work.
Comment 1 Chris Peterson [:cpeterson] 2012-01-12 18:16:35 PST
Created attachment 588273 [details] [diff] [review]
bug-709845-part-1-update-history-url.patch

Update the tab history's URL after a redirect.
Comment 2 Chris Peterson [:cpeterson] 2012-01-12 18:17:25 PST
Created attachment 588274 [details] [diff] [review]
bug-709845-part-2-fix-checkstyle-warnings.patch

Tab.java: Fix some checkstyle warnings about extra imports, missing access modifiers, trailing whitespace.
Comment 3 Doug Turner (:dougt) 2012-01-12 20:20:41 PST
Comment on attachment 588274 [details] [diff] [review]
bug-709845-part-2-fix-checkstyle-warnings.patch

next time just factor code cleanup in its own bug.
Comment 4 Chris Peterson [:cpeterson] 2012-01-17 11:28:11 PST
Created attachment 589246 [details] [diff] [review]
bug-709845-part-1-update-history-url-v1-rebased.patch

Rebased patch.

r=mbrubeck
Comment 5 Chris Peterson [:cpeterson] 2012-01-17 11:30:45 PST
Created attachment 589248 [details] [diff] [review]
bug-709845-part-1-update-history-url-v1-rebased.patch

r=mbrubeck
Comment 6 Chris Peterson [:cpeterson] 2012-01-17 11:33:12 PST
Created attachment 589250 [details] [diff] [review]
bug-709845-part-2-fix-checkstyle-warnings-v1-rebased.patch

Rebased patch. r=dougt
Comment 7 Chris Peterson [:cpeterson] 2012-01-17 11:34:52 PST
checkin-needed for rebased patches.
Comment 10 Chris Peterson [:cpeterson] 2012-01-19 13:40:15 PST
Comment on attachment 589248 [details] [diff] [review]
bug-709845-part-1-update-history-url-v1-rebased.patch

[Approval Request Comment]
Regression caused by (bug #): None
User impact if declined: Bookmarked and copy/pasted URLs will grab the REDIRECTING page's URL, not the REDIRECTED TO page's URL.
Testing completed (on m-c, etc.): Landed on m-c yesterday.
Risk to taking this patch (and alternatives if risky): Tab history might mix up pages' URLs.
Comment 11 Chris Peterson [:cpeterson] 2012-01-19 13:41:54 PST
Comment on attachment 589250 [details] [diff] [review]
bug-709845-part-2-fix-checkstyle-warnings-v1-rebased.patch

[Approval Request Comment]
Regression caused by (bug #): None
User impact if declined: None because this patch correct code style warnings.
Testing completed (on m-c, etc.): Landed on m-c yesterday.
Risk to taking this patch (and alternatives if risky): Probably none.
Comment 12 Brad Lassey [:blassey] (use needinfo?) 2012-01-20 13:46:49 PST
https://hg.mozilla.org/releases/mozilla-aurora/rev/ab94103a2cdd
Comment 13 Brad Lassey [:blassey] (use needinfo?) 2012-01-20 13:47:26 PST
https://hg.mozilla.org/releases/mozilla-aurora/rev/07e692bcb977
Comment 14 Andreea Pod 2013-02-28 04:08:30 PST
Verified fixed on:
-build:  Firefox for Android 21.0a2 (2013-02-27), Firefox for Android 22.0a1 (2013-02-27)
-device: Samsung Galaxy Tab 10.1
-OS: Android 3.1

Note You need to log in before you can comment on or make changes to this bug.